import sbt._

class RDFValidator(info: ProjectInfo) extends DefaultWebProject(info) {

  override def compileOptions = super.compileOptions ++ Seq(Unchecked, Deprecation, ExplainTypes)
  override def defaultExcludes = super.defaultExcludes || "*~"

  // val scalatools = "scala-tools" at "http://scala-tools.org/repo-snapshots"
  // val scalatest = "org.scalatest" % "scalatest" % "1.2-for-scala-2.8.0.final-SNAPSHOT" % "test"

  val jettyConf = config("jetty")
  val jettyDep = "org.eclipse.jetty" % "jetty-webapp" % "7.0.2.v20100331" % "compile,jetty"
  override def jettyClasspath = managedClasspath(jettyConf)

  val mail = "javax.mail" % "mail" % "1.4.1"
  val jena = "com.hp.hpl.jena" % "jena" % "2.6.3"
  val jenaIri = "com.hp.hpl.jena" % "iri" % "0.8" from "http://openjena.org/repo/com/hp/hpl/jena/iri/0.8/iri-0.8.jar"

  val scalatraVersion = "2.0.0-SNAPSHOT"
  val scalatra = "org.scalatra" %% "scalatra" % scalatraVersion
  val scalate = "org.scalatra" %% "scalatra-scalate" % scalatraVersion
  val servletApi = "org.mortbay.jetty" % "servlet-api" % "2.5-20081211" % "provided"

  val scalatest = "org.scalatra" %% "scalatra-scalatest" % scalatraVersion % "test"
  val slf4jBinding = "ch.qos.logback" % "logback-classic" % "0.9.26" % "runtime"

  // http://groups.google.com/group/simple-build-tool/msg/1f17b43807d06cda
  override def testClasspath = super.testClasspath +++ buildCompilerJar

  val sonatypeNexusSnapshots = "Sonatype Nexus Snapshots" at "https://oss.sonatype.org/content/repositories/snapshots"
  // For Scalate
  val fuseSourceSnapshots = "FuseSource Snapshot Repository" at "http://repo.fusesource.com/nexus/content/repositories/snapshots"

//  val turtle = "w3c" %% "turtle" % "1.0"
  val rdfxml = "w3c" %% "rdfxml" % "1.0" intransitive()
  val rdf = "w3c" %% "rdf" % "1.0" intransitive()

  val databinder_net = "databinder.net repository" at "http://databinder.net/repo"
  val dispatch = "net.databinder" %% "dispatch-http" % "0.7.7"


}
